Bug 197905 - graphics/nvidia-texture-tools fails to build when USE_GCC=yes implies GCC 4.9
Summary: graphics/nvidia-texture-tools fails to build when USE_GCC=yes implies GCC 4.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks: 196712
  Show dependency treegraph
 
Reported: 2015-02-22 01:45 UTC by Gerald Pfeifer
Modified: 2015-04-09 10:02 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (amdmi3)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2015-02-22 01:45:59 UTC
This is related to PR 196712 and blocks updating the default version of
GCC from 4.8 to 4.9.

I believe what is happening here is that OpenEXR uses GCC on older 
versions of FreeBSD and when linking with the OpenEXR libraries we
then fail to pull in the proper NEWER GCC run-time libraries.

This can be fixed by building (or at least linking) with the same
compiler that OpenEXR is built with.  See OpenEXR/Makefile for how
this is done there.

http://package18.nyi.freebsd.org/data/93i386-default-PR196712/2015-01-18_16h49m19s/logs/errors/nvidia-texture-tools-2.0.8.1_7.log

/usr/bin/c++   -O2 -pipe -fPIC -fno-strict-aliasing -fPIC -O2 -pipe -fPIC -fno-strict-aliasing -fPIC   CMakeFiles/filtertest.dir/tests/filtertest.cpp.o  -o filtertest  ../nvimage/libnvimage.so ../nvmath/libnvmath.so ../nvcore/libnvcore.so /usr/local/lib/libpng.so -lz /usr/local/lib/libjpeg.so /usr/local/lib/libtiff.so /usr/local/lib/libImath.so /usr/local/lib/libIlmImf.so /usr/local/lib/libIex.so /usr/local/lib/libHalf.so /usr/local/lib/libIlmThread.so -lz /usr/local/lib/libjpeg.so /usr/local/lib/libtiff.so /usr/local/lib/libImath.so /usr/local/lib/libIlmImf.so /usr/local/lib/libIex.so /usr/local/lib/libHalf.so /usr/local/lib/libIlmThread.so ../nvcore/poshlib/libposh.a -Wl,-rpath,/wrkdirs/usr/ports/graphics/nvidia-texture-tools/work/nvidia-texture-tools/src/nvimage:/wrkdirs/usr/ports/graphics/nvidia-texture-tools/work/nvidia-texture-tools/src/nvmath:/wrkdirs/usr/ports/graphics/nvidia-texture-tools/work/nvidia-texture-tools/src/nvcore:/usr/local/lib 
/usr/local/lib/libIlmImf.so: undefined reference to `std::__throw_out_of_range_fmt(char const*, ...)@GLIBCXX_3.4.20'
*** [src/nvtt/filtertest] Error code 1
Comment 1 Bugzilla Automation freebsd_committer 2015-02-22 01:45:59 UTC
Auto-assigned to maintainer amdmi3@FreeBSD.org
Comment 2 Dmitry Marakasov freebsd_committer 2015-04-09 10:02:45 UTC
Fixed after OpenEXR patch was committed.